<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:xdt="http://www.w3.org/2005/xpath-datatypes" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <xsl:output version="4.0" method="html" indent="yes" omit-xml-declaration="no" encoding="windows-1251" media-type="text/html"/>
  <xsl:template match="/">
    <html>
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <link rel="Stylesheet" type="text/css" href="../html/style.css"/>
      </head>
      <body>
        <p class="header" style="color:#0044FF">
          <xsl:for-each select="Сообщение/Инфо">
            Письмо НО: <xsl:value-of select="@Описание"/>
          </xsl:for-each>
        </p>
        <table width="95%">
          <tr>
            <td width="5%" style="vertical-align:top">
              <img src="../images/32x32/queue.png"/>
            </td>
            <td width="95%" class="bottomline">
              <p class="main14green">Информация о почтовом сообщении</p>
              <p class="text12">
        <xsl:for-each select="Сообщение/Отправитель">
          <span>
            <b>От кого:</b>
			<xsl:text> </xsl:text>
            <a>
              <xsl:attribute name="href">
                #cc_action_EDIT_ABONENT <xsl:value-of select="@Id"/>
              </xsl:attribute>
              <xsl:value-of select="@Наименование"/>
            </a>
          </span>
          <xsl:text> </xsl:text>
          <br/>
        </xsl:for-each>
        <xsl:for-each select="Сообщение/Получатель">
          <span>
            <b>Кому:</b>
			<xsl:text> </xsl:text>
            <a>
              <xsl:attribute name="href">
                #cc_action_EDIT_ABONENT <xsl:value-of select="@Id"/>
              </xsl:attribute>
              <xsl:value-of select="@Наименование"/>
            </a>
          </span>
          <br/>
          <br/>
        </xsl:for-each>
        <xsl:if test="count(/Сообщение/MailAttachmentName)>0">
          <span>
            <b>Имя файла транспортного контейнера:</b>
            <xsl:text> </xsl:text>
            <font class="values">
            <xsl:value-of select="/Сообщение/MailAttachmentName"/>
            </font>
          </span>
          <br/>
        </xsl:if>
		<b>Идентификатор документооборота:</b>
                <xsl:text> </xsl:text>
                <span class="values">
                  <xsl:value-of select="/Сообщение/БД/DOC_GUID"/>
                </span>                
                <br/>
         </p>
            </td>
          </tr>
          <!-- tr>
            <td width="5%" style="vertical-align:top">
              <img src="../images/32x32/identity.png"/>
            </td>
            <td width="95%" class="bottomline">
              <p class="main14green">Информация о плательщике</p>
              <div width="95%" class="text12">
                <b>Подписант </b>
                <xsl:text> </xsl:text>
                <font class="values">
                  <xsl:value-of select="Сообщение/Документ/@Подписант"/>
                </font>
                <br />
                <b>Налогоплательщик:</b>
                <xsl:text> </xsl:text>
                <font class="values">
                  ИНН<xsl:text> </xsl:text><xsl:value-of select="Сообщение/Документ/@ИНННП"/><xsl:text> </xsl:text>
                  КПП<xsl:text> </xsl:text><xsl:value-of select="Сообщение/Документ/@КПП"/>
                </font>
                <br />
                <br/>
              </div>
            </td>
          </tr -->
          <tr>
            <td width="5%" style="vertical-align:top">
              <img src="../images/32x32/info.png"/>
            </td>
            <td width="95%" class="bottomline">
              <!-- конец общих сведений -->
              <p class="main14green">Информация о документе</p>
              <p class="text12">
        <xsl:for-each select="Сообщение/Инфо">
          <span>
            <b>Имя файла: </b>
            <xsl:text> </xsl:text>
            <font class="values">
          <xsl:value-of select="@ИмяФайла"/>
          </font>
          </span>          
        </xsl:for-each>
        <br />
        <xsl:for-each select="Сообщение/Документ/НомерПисьма">
          <b>Номер Письма: </b>
          <xsl:value-of select="."/>          
        </xsl:for-each>
        <xsl:for-each select="Сообщение/Документ/ДатаПисьма">
         <b>от: </b>
           <xsl:value-of select="."/>
           </xsl:for-each>
         <br />
           <xsl:for-each select="Сообщение/Документ/НомерОбращ">
           <b>Ответ на: </b>
           <xsl:value-of select="."/>
         </xsl:for-each>
         <xsl:for-each select="Сообщение/Документ/ДатаОбращ">
         <b>от: </b>
         <xsl:value-of select="."/>
          </xsl:for-each>
        <br />
        <xsl:for-each select="Сообщение/Документ/Body">
          <pre style="color:black; font-size:11px; word-wrap: break-word; width: 800px; max-width: 700px;">
            <xsl:value-of select="."/>
          </pre>
        </xsl:for-each>
        </p>
        </td>
        </tr>
        </table>    
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
